namespace Phoenix.Model.Bll.Domain
{
    public class Address : Poco
    {
        #region Fields

        private string boxNumber = string.Empty;
        private string city = string.Empty;
        private string postalCode = string.Empty;
        private string street = string.Empty;
        private string streetNumber = string.Empty;

        #endregion Fields

        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="Address"/> class.
        /// </summary>
        public Address()
        {
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets or sets the box number.
        /// </summary>
        /// <value>The box number.</value>
        public virtual string BoxNumber
        {
            get { return this.boxNumber; }
            set { this.Set(this, "boxNumber", ref boxNumber, value); }
        }

        /// <summary>
        /// Gets or sets the city.
        /// </summary>
        /// <value>The city.</value>
        public virtual string City
        {
            get { return this.city; }
            set { this.Set(this, "city", ref city, value); }
        }

        /// <summary>
        /// Gets or sets the postal code.
        /// </summary>
        /// <value>The postal code.</value>
        public virtual string PostalCode
        {
            get { return this.postalCode; }
            set { this.Set(this, "postalCode", ref postalCode, value); }
        }

        /// <summary>
        /// Gets or sets the street.
        /// </summary>
        /// <value>The street.</value>
        public virtual string Street
        {
            get { return this.street; }
            set { this.Set(this, "street", ref street, value); }
        }

        /// <summary>
        /// Gets or sets the street number.
        /// </summary>
        /// <value>The street number.</value>
        public virtual string StreetNumber
        {
            get { return this.streetNumber; }
            set { this.Set(this, "streetNumber", ref streetNumber, value); }
        }

        #endregion Properties
    }
}