namespace Phoenix.Model.Bll.Domain
{
    /// <summary>
    /// Represent a drug
    /// </summary>
    public class Drug : Poco
    {
        #region Fields

        private DrugType m_Type;

        #endregion Fields

        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="Drug"/> class.
        /// </summary>
        public Drug()
        {
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets or sets the remark.
        /// </summary>
        /// <value>The remark.</value>
        public virtual string Remark
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the title.
        /// </summary>
        /// <value>The title.</value>
        public virtual string Title
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the type.
        /// </summary>
        /// <value>The type.</value>
        public virtual DrugType Type
        {
            get { return m_Type; }
            set { m_Type = value; }
        }

        #endregion Properties
    }
}