﻿namespace Phoenix.Model.Bll.Domain
{
    public class PathologyType : Poco
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="PathologyType"/> class.
        /// </summary>
        public PathologyType()
        {
            this.Remark = string.Empty;
            this.Title = string.Empty;
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets or sets the remark on the pathology.
        /// </summary>
        /// <value>The remark.</value>
        public virtual string Remark
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the title of the pathology.
        /// </summary>
        /// <value>The title.</value>
        public virtual string Title
        {
            get;
            set;
        }

        #endregion Properties

        #region Methods

        /// <summary>
        /// Returns a <see cref="System.String"/> that represents this instance.
        /// </summary>
        /// <returns>
        /// A <see cref="System.String"/> that represents this instance.
        /// </returns>
        public override string ToString()
        {
            return "Title: " + this.Title;
        }

        #endregion Methods
    }
}