namespace Phoenix.Model.Bll.Domain
{
    /// <summary>
    /// Represent a meeting
    /// </summary>
    public class WorkMeeting : Meeting
    {
        #region Fields

        private MeetingType m_MeetingType;

        #endregion Fields

        #region Constructors

        public WorkMeeting()
        {
            this.IsPersonal = false;
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets or sets a value indicating whether this meeting is payed.
        /// </summary>
        /// <value><c>true</c> if this meeting is payed; otherwise, <c>false</c>.</value>
        public virtual bool IsPayed
        {
            get;
            set;
        }

        public virtual Patient Patient
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets a value indicating whether this patient came to the meeting.
        /// </summary>
        /// <value><c>true</c> if patient came; otherwise, <c>false</c>.</value>
        public virtual bool PatientCame
        {
            get;
            set;
        }

        #endregion Properties

        #region Methods

        /// <summary>
        /// Returns a <see cref="System.String"/> that represents this instance.
        /// </summary>
        /// <returns>
        /// A <see cref="System.String"/> that represents this instance.
        /// </returns>
        public override string ToString()
        {
            string from = this.StartDate.ToShortDateString() + " " + StartDate.ToShortTimeString();
            string to = this.EndDate.ToShortDateString() + " " + EndDate.ToShortTimeString();

            return string.Format("[{0}] from {1} to {2}", this.Title, from, to);
        }

        #endregion Methods
    }
}