﻿namespace Phoenix.Model.Bll.Interface
{
    using System.Collections.Generic;

    using Phoenix.Model.Bll.Domain;

    public interface IDoctorTypeRepository : IRepository<DoctorType>
    {
        #region Methods

        /// <summary>
        /// Searches the items in the database that are exactly the same as the criterion
        /// </summary>
        /// <param name="criterion">The criterion.</param>
        /// <returns>
        /// A list of the items that respect the criterion.
        /// </returns>
        IList<DoctorType> Search(DoctorType criterion);

        #endregion Methods
    }
}