﻿namespace Phoenix.Model.Bll.Interface
{
    using System;
    using System.Collections.Generic;

    using Phoenix.Model.Bll.Domain;

    /// <summary>
    /// Repository to manage and presists meetings
    /// </summary>
    public interface IWorkMeetingRepository : IRepository<WorkMeeting>
    {
        #region Methods

        /// <summary>
        /// Gets the all meetings but whose of the specified patient.
        /// </summary>
        /// <param name="without">The without.</param>
        /// <returns></returns>
        IList<WorkMeeting> GetMeetings(Patient without);

        /// <summary>
        /// Gets the meetings for the specified day.
        /// </summary>
        /// <param name="date">The date.</param>
        /// <returns>The meetings.</returns>
        IList<WorkMeeting> GetMeetings(DateTime date);

        /// <summary>
        /// Gets the meetings between the specified dates.
        /// </summary>
        /// <param name="date">The date.</param>
        /// <returns>The meetings</returns>
        IList<WorkMeeting> GetMeetings(DateTime startDate, DateTime endDate);

        #endregion Methods
    }
}