﻿namespace Phoenix.Model.Dal.Configuration
{
    using StructureMap;

    /// <summary>
    /// This factory gives an item to configure the Data Access Layer.
    /// </summary>
    public static class DalFactory
    {
        #region Fields

        private static readonly object monitor = new object();

        private static bool isConfigured = false;

        #endregion Fields

        #region Properties

        public static IDalConfiguration Configurator
        {
            get
            {
                lock (monitor)
                {
                    if (!isConfigured)
                    {
                        ObjectFactory.Configure(e => e.For<IDalConfiguration>().Use<NHibernateConfiguration>());
                        isConfigured = true;
                    }
                    return ObjectFactory.GetInstance<IDalConfiguration>();
                }
            }
        }

        #endregion Properties
    }
}