﻿namespace Phoenix.Presenter.Events
{
    using System;
    using System.Collections.Generic;

    using Phoenix.Presenter.Sessions;

    /// <summary>
    /// Event args that contains SessionCollection
    /// </summary>
    public class SessionEventArgs : EventArgs
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="SessionEventArgs"/> class.
        /// </summary>
        /// <param name="sessions">The sessions.</param>
        public SessionEventArgs(List<Session> sessions)
        {
            this.Sessions = sessions;
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="SessionEventArgs"/> class.
        /// </summary>
        public SessionEventArgs()
        {
            this.Sessions = new List<Session>();
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets the sessions contained in the event.
        /// </summary>
        /// <value>The sessions.</value>
        public List<Session> Sessions
        {
            get;
            private set;
        }

        #endregion Properties
    }
}