﻿namespace Phoenix.View.Helpers.Controls
{
    /// <summary>
    /// Represent the basic features of a TitledControl
    /// </summary>
    public interface ITitledControl
    {
        #region Properties

        /// <summary>
        /// Gets or sets a value indicating whether this <see cref="ITitledControl"/> is enabled.
        /// </summary>
        /// <value><c>true</c> if enabled; otherwise, <c>false</c>.</value>
        bool Enabled
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the width of the label's column.
        /// </summary>
        /// <value>The width of the label.</value>
        float LabelWidth
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the title.
        /// </summary>
        /// <value>The title.</value>
        string Title
        {
            get;
            set;
        }

        #endregion Properties

        #region Methods

        /// <summary>
        /// Adds a new data binding.
        /// </summary>
        /// <param name="dataSource">The data source.</param>
        /// <param name="dataMember">The data member.</param>
        void AddDataBinding(object dataSource, string dataMember);

        /// <summary>
        /// Clears the data binding.
        /// </summary>
        void ClearDataBinding();

        #endregion Methods
    }
}