﻿namespace Phoenix.View.Helpers.Controls
{
    using System;
    using System.Windows.Forms;

    using Phoenix.Helpers.Winforms;

    /// <summary>
    /// Get a password
    /// </summary>
    public partial class PasswordForm : Form
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="PasswordForm"/> class.
        /// </summary>
        public PasswordForm()
        {
            InitializeComponent();
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets or sets the password.
        /// </summary>
        /// <value>The password.</value>
        public string Password
        {
            get;
            private set;
        }

        #endregion Properties

        #region Methods

        private void btn_Cancel_Click(object sender, EventArgs e)
        {
            if (this.tb_Password1.Text == this.tb_Password2.Text)
            {
                this.DialogResult = DialogResult.OK;
                this.Password = this.tb_Password1.Text;
                this.Close();
            }
            else MessageBoxes.Exclamation("The two passwords don't match!");
        }

        #endregion Methods
    }
}