﻿namespace Phoenix.View.Helpers.Rtf
{
    using System.Drawing;

    /// <summary>
    /// Helper for rtf format
    /// </summary>
    public static class Rtf
    {
        #region Methods

        /// <summary>
        /// Adds the style to the specified style.
        /// </summary>
        /// <param name="style">The style.</param>
        /// <param name="toAdd">To add.</param>
        /// <returns></returns>
        public static FontStyle AddStyle(FontStyle style, FontStyle toAdd)
        {
            return style |= toAdd;
        }

        /// <summary>
        /// Removes the style from the specified style.
        /// </summary>
        /// <param name="style">The style.</param>
        /// <param name="toRemove">To remove.</param>
        /// <returns></returns>
        public static FontStyle RemoveStyle(FontStyle style, FontStyle toRemove)
        {
            return style &= ~toRemove;
        }

        #endregion Methods
    }
}