﻿namespace Phoenix.Plugins.Host.Exceptions
{
    using System;
    using System.Runtime.Serialization;

    [Serializable]
    public class GuiPluginIsNotInsertableException : PluginException
    {
        #region Fields

        private const string msg = @"It is impossible to insert the 'IGuiPlugable' into the gui of the host because the container is not set!";

        #endregion Fields

        #region Constructors

        public GuiPluginIsNotInsertableException()
            : base()
        {
        }

        public GuiPluginIsNotInsertableException(string message)
            : base(message)
        {
        }

        public GuiPluginIsNotInsertableException(string message, Exception inner)
            : base(message, inner)
        {
        }

        protected GuiPluginIsNotInsertableException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }

        #endregion Constructors
    }
}