namespace System.Windows.Forms.Calendar
{
    using System;

    /// <summary>
    /// Event data with a <see cref="CalendarDay"/> element
    /// </summary>
    public class CalendarDayEventArgs : EventArgs
    {
        #region Fields

        private CalendarDay _calendarDay;

        #endregion Fields

        #region Constructors

        /// <summary>
        /// Creates a new event with the specified day
        /// </summary>
        /// <param name="day">Day of the event</param>
        public CalendarDayEventArgs(CalendarDay day)
        {
            _calendarDay = day;
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets the day related to the event
        /// </summary>
        public CalendarDay CalendarDay
        {
            get { return _calendarDay; }
        }

        #endregion Properties
    }
}